/*
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package ejb.grids;


import java.util.Collection;
import java.rmi.RemoteException;
import javax.ejb.*;

import java.sql.*;
import helpers.*;

public interface GridsHome extends EJBHome {



    public Grids create(String ipFileName,String ip,String fileName,Timestamp creatDate,
                    ServerGrid grid) throws RemoteException, CreateException;


    public Grids findByPrimaryKey(String ipFileName) 
        throws FinderException, RemoteException;

    public Collection findInRange(Timestamp start,Timestamp end)
        throws FinderException, RemoteException;

    public Collection findByIp(String ip)
        throws FinderException, RemoteException;

    public Collection findAll()
        throws FinderException, RemoteException;



} //public interface GridsHome extends EJBHome

